## edk2 2025.02

=== BaseTools/Source/C/EfiRom/Makefile ===
## @file
# Windows makefile for 'EfiRom' module build.
#
# Copyright (c) 2007 - 2010, Intel Corporation. All rights reserved.<BR>
# SPDX-License-Identifier: BSD-2-Clause-Patent
#
!INCLUDE ..\Makefiles\ms.common

APPNAME = EfiRom

LIBS = $(LIB_PATH)\Common.lib

OBJECTS = EfiRom.obj

!INCLUDE ..\Makefiles\ms.app
