=== debian/changelog ===
edk2 (2025.02-9) unstable; urgency=medium

  * Cherry-pick openssl fix for timing side-channel in ECDSA signature
    computation, CVE-2024-13176.
    - d/p/0001-Fix-timing-side-channel-in-ECDSA-signature-computati.patch
  * Fix out-of-bounds memory access in NetworkPkg/IScsiDxe, CVE-2024-38805.
    (Closes: #1111100).
    - d/p/0001-NetworkPkg-IScsiDxe-Fix-for-out-of-bound-memory-acce.patch
  * Use virt-firmware to enroll default keys.
  * Initialize the Secure Boot dbx in *.ms.fd with the latest revocations.
    The dbx previously only contained the hash of an empty file.
  * Safe handling of IDT register on SMM entry, CVE-2025-3770.
    (Closes: #1110533).
    - d/p/0001-UefiCpuPkg-PiSmmCpuDxeSmm-Safe-handling-of-IDT-regis.patch
  * Add amdsev image. Thanks to Lukas Märdian. (Closes: #1103961).

 -- dann frazier <dannf@debian.org>  Mon, 01 Sep 2025 14:16:19 -0600

edk2 (2025.02-8) unstable; urgency=medium

  * ovmf, ovmf-ia32, qemu-efi-aarch64: Uninstall the EFI_MEMORY_ATTRIBUTE
    protocol by default in the *.secboot.fd variants to avoid boot crashes
    with incompatible guest operating systems. This is to give virtual
    machine managers like libvirt and incus a release cycle to determine how
    to handle these guests. Add new *.secboot.strictnx.fd variants that users
    can opt-in to to benefit from NX security features. EFI_MEMORY_ATTRIBUTE
    support will be restored for all *.secboot.fd images at the start of
    the next devel cycle, at which point *.secboot.strictnx.fd will become
    symlink aliases. Note this in NEWS.Debian and README.Debian files.
    (Closes: #1103906).
  * Fix out-of-bounds read in HashPeImageByType(), CVE-2024-38797.
    (Closes: #1102519):
    - d/p/0001-SecurityPkg-Out-of-bound-read-in-HashPeImageByType.patch
    - d/p/0002-SecurityPkg-Improving-HashPeImageByType-logic.patch
    - d/p/0003-SecurityPkg-Improving-SecureBootConfigImpl-HashPeIma.patch
    - d/p/0004-SecurityPkg-Update-SecurityFixes.yaml-for-CVE-2024-3.patch

 -- dann frazier <dannf@debian.org>  Mon, 12 May 2025 20:18:11 -0600

edk2 (2025.02-7) unstable; urgency=medium

  * qemu-efi-aarch64: Fix regression with QEMU -kernel (Closes: #1101152):
    - d/p/0001-OvmfPkg-QemuKernelLoaderFsDxe-fix-allocation-failure.patch

 -- dann frazier <dannf@debian.org>  Wed, 16 Apr 2025 08:42:58 -0600

edk2 (2025.02-6) unstable; urgency=medium

  * d/python/UEFI/Qemu.py: Use qemu-system-arm instead of
    qemu-system-aarch64 for testing AAVMF32. I'm not sure why we weren't
    doing this before, but it is required now that QEMU is removing
    64-on-32 support.
  * d/tests/shell.py: Fix DpkgArch initialization.

 -- dann frazier <dannf@debian.org>  Mon, 07 Apr 2025 20:01:37 -0600

edk2 (2025.02-5) unstable; urgency=medium

  * qemu-efi-aarch64: Use PcdUninstallMemAttrProtocol=TRUE instead of
    reverting EFI_MEMORY_ATTRIBUTE protocol support. Drops:
    - d/p/Revert-ArmVirtPkg-make-EFI_LOADER_DATA-non-executabl.patch
    - d/p/ArmVirtPkg-disable-the-EFI_MEMORY_ATTRIBUTE-protocol.patch
  * qemu-efi-aarch64: Only uninstall MemAttrProtocol support in the
    no-secboot image. Users can override this with the QEMU flag:
    -fw_cfg name=opt/org.tianocore/UninstallMemAttrProtocol,string=y
  * ovmf, ovmf32: Add non-upstream patch to add support for
    PcdUninstallMemAttrProtocol and use it to disable the protocol
    on the non-secboot images by default. (Closes: #1099500). Also likely
    addresses LP: #2104316.
  * d/tests/shell.py: Create and use a DpkgArch class to load all of the
    `dpkg-architecture` variables instead of just the host arch.
  * d/tests: Only run tests for 64-bit architectures on 64-bit hosts,
    as QEMU 10 has dropped support for 64-bit architectures on 32-bit hosts.

 -- dann frazier <dannf@debian.org>  Fri, 28 Mar 2025 17:32:23 -0600

edk2 (2025.02-4) unstable; urgency=medium

  * d/tests/shell.py: Add tests to confirm that the built-in shell
    is not available in secboot variants.
  * qemu-efi-aarch64: README.Debian: Correct cut & paste errors that
    reference OVMF images.
  * ovmf: README.Debian: Explain why some images contain a built-in
    shell and others do not.
  * qemu-efi-aarch64: README.Debian: Update to describe the no-secboot
    and secboot images. Warn users that the AAVMF_CODE.fd path is a
    compat symlink that will be removed in the future.
  * Fix remote memory exposure in iSCSI DXE. CVE-2025-2295. (Closes: #1100594)
    - d/p/0001-NetworkPkg-IScsiDxe-Fix-for-Remote-Memory-Exposure-i.patch
  * ovmf, qemu-efi-aarch64: Correct typo in NEWS entry.

 -- dann frazier <dannf@debian.org>  Sun, 23 Mar 2025 12:05:21 -0600

edk2 (2025.02-3) unstable; urgency=medium

  * Return to running Secure Boot tests only for the native architecture
    until #1100819 is fixed.

 -- dann frazier <dannf@debian.org>  Tue, 18 Mar 2025 22:16:33 -0700

edk2 (2025.02-2) unstable; urgency=medium

  * ovmf, qemu-efi-aarch64: Add NEWS to tell users that network boot
    now requires the availability of a random number generator.
    LP: #2069439.
  * qemu-efi-aarch64: Restore the shell in QEMU_EFI.fd. (Closes: #1099424)
    Note: this image is deprecated and will be removed in a future update.
    Please switch to the AAVMF_CODE.* images instead. See README.Debian
    for an overview of these images.
  * ovmf: cherry-pick patch from upstream to "use user-specified
    opt/ovmf/X-PciMmio64Mb value unconditionally". LP: #2101903.
     - d/p/0001-OvmfPkg-Use-user-specified-opt-ovmf-X-PciMmio64Mb-va.patch
    Thanks to Mitchell Augustin.
  * d/tests: autopkgtest doesn't seem to support foreign arch deps in
    d/tests/control when doing native testing. Manually install signed
    grub and shim packages for amd64 and arm64 for Secure Boot tests.

 -- dann frazier <dannf@debian.org>  Sat, 15 Mar 2025 15:16:39 -0600

edk2 (2025.02-1) unstable; urgency=medium

  * New upstream release, based on edk2-stable202502 tag:
    - Drop patches merged upstream:

